## cascading.flow
Class ElementGraph.Extent

    java.lang.Object
      cascading.pipe.Pipe
          cascading.flow.ElementGraph.Extent

All Implemented Interfaces:
  FlowElement, Serializable

Enclosing class:
  ElementGraph

    public static class ElementGraph.Extent

extends Pipe

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.pipe.Pipe
`previous`

Constructor Summary
`ElementGraph.Extent(String name)`

Method Summary
`boolean` `equals(Object object)`
`Scope` `outgoingScopeFor(Set<Scope> scopes)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
`String` `toString()`

Methods inherited from class cascading.pipe.Pipe
`getHeads, getName, getPrevious, getTrace, hashCode, isEquivalentTo, names, pipes, print, printInternal, resolveFields, resolveIncomingOperationFields`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementGraph.Extent

    public ElementGraph.Extent(String name)

See Also:
  `Pipe.Pipe(String)`

Method Detail

### outgoingScopeFor

    public Scope outgoingScopeFor(Set<Scope> scopes)

  Description copied from interface: `FlowElement`
  Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.

  Specified by:
    `outgoingScopeFor` in interface `FlowElement`
  Overrides:
    `outgoingScopeFor` in class `Pipe`
  Parameters:
    `scopes` - of type Set<Scope>
  Returns:
    Scope
  See Also:
    `Pipe.outgoingScopeFor(java.util.Set<cascading.flow.Scope>)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Pipe`
  See Also:
    `Pipe.toString()`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Pipe`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.